## org.eclipse.emf.cdo.net4j
Interface CDOSession

All Superinterfaces:
  CDOCommonSession, CDOSession, org.eclipse.net4j.util.collection.Closeable, org.eclipse.net4j.util.container.IContainer<CDOView>, org.eclipse.net4j.util.event.INotifier, org.eclipse.net4j.util.options.IOptionsContainer, org.eclipse.net4j.util.security.IUserAware

    public interface CDOSession

extends CDOSession

Since:
  2.0

Nested Class Summary
`static interface` `CDOSession.Options`

Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.session.CDOSession
`CDOSession.ExceptionHandler, CDOSession.Repository`

Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer
`org.eclipse.net4j.util.container.IContainer.Modifiable<E>`

Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier
`org.eclipse.net4j.util.event.INotifier.Introspection`

Method Summary
`CDOSession.Options` `options()` Returns the `options` of this session.

Methods inherited from interface org.eclipse.emf.cdo.session.CDOSession
`getExceptionHandler, getPackageRegistry, getRemoteSessionManager, getRevisionManager, getViews, openAudit, openAudit, openTransaction, openTransaction, openView, openView, refresh, repository`

Methods inherited from interface org.eclipse.emf.cdo.common.CDOCommonSession
`getSessionID, getView`

Methods inherited from interface org.eclipse.net4j.util.security.IUserAware
`getUserID`

Methods inherited from interface org.eclipse.net4j.util.collection.Closeable
`close, isClosed`

Methods inherited from interface org.eclipse.net4j.util.container.IContainer
`getElements, isEmpty`

Methods inherited from interface org.eclipse.net4j.util.event.INotifier
`addListener, removeListener`

Method Detail

### options

    CDOSession.Options options()

  Returns the `options` of this session.

  Specified by:
    `options` in interface `CDOCommonSession`
  Specified by:
    `options` in interface `CDOSession`
  Specified by:
    `options` in interface `org.eclipse.net4j.util.options.IOptionsContainer`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.